classification
Title: csv.register_dialect doc string
Type: Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Vladimir Ulupov, berker.peksag, docs@python, jbmilam, python-dev, r.david.murray, skip.montanaro
Priority: normal Keywords: patch

Created on 2015-03-13 15:31 by Vladimir Ulupov, last changed 2015-06-05 12:19 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
register_dialect_docstring_fix.patch jbmilam, 2015-05-28 21:41 Changes docstring of csv.register_dialect review
register_dialect_docstring_fix.patch jbmilam, 2015-05-28 21:53 Added end parentheses review
Messages (10)
msg238035 - (view) Author: Vladimir Ulupov (Vladimir Ulupov) Date: 2015-03-13 15:31
I use PyCharm. This IDE checks the signature functions.
When I used the extra arguments to the function register_dialect - IDE reported error.

This is what has generated IDE for this function.
http://dumpz.org/1347592/

Apparently error here
https://hg.python.org/cpython/file/44c1c0cbdc06/Modules/_csv.c#l1547
https://hg.python.org/cpython/file/c1abcbcfefab/Modules/_csv.c#l1590


https://docs.python.org/2/library/csv.html?highlight=csv#csv.register_dialect
https://docs.python.org/3/library/csv.html?highlight=csv#csv.register_dialect
msg238036 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-03-13 15:33
Could you clarify what bug in python you are reporting?
msg238081 - (view) Author: Vladimir Ulupov (Vladimir Ulupov) Date: 2015-03-14 12:17
Incorrect docstring(PyDoc_STRVAR) for function csv.register_dialect
msg238086 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-03-14 14:40
Ah, you are trying to point out that the docstring doesn't mention fmtparams, or that the dialect object is optional. Sure, that should be fixed.
msg238088 - (view) Author: Vladimir Ulupov (Vladimir Ulupov) Date: 2015-03-14 15:12
Yes, sorry for my bad English.
msg244348 - (view) Author: Brandon Milam (jbmilam) * Date: 2015-05-28 21:41
I believe this was the requested change. Let me know if more was desired.
msg244349 - (view) Author: Brandon Milam (jbmilam) * Date: 2015-05-28 21:53
Sorry, I forgot an end parentheses in the doc string of the last patch.
msg244376 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2015-05-29 13:43
LGTM.
msg244862 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-06-05 12:18
New changeset 9377ffb9eaf2 by Berker Peksag in branch '3.4':
Issue #23659: Document **fmtparams in csv.register_dialect docstring.
https://hg.python.org/cpython/rev/9377ffb9eaf2

New changeset eee64e72d294 by Berker Peksag in branch '3.5':
Issue #23659: Document **fmtparams in csv.register_dialect docstring.
https://hg.python.org/cpython/rev/eee64e72d294

New changeset a3fbf1fe8fa6 by Berker Peksag in branch 'default':
Issue #23659: Document **fmtparams in csv.register_dialect docstring.
https://hg.python.org/cpython/rev/a3fbf1fe8fa6
msg244863 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-06-05 12:19
Thanks!
History
Date User Action Args
2015-06-05 12:19:52berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg244863

stage: patch review -> resolved
2015-06-05 12:18:14python-devsetnosy: + python-dev
messages: + msg244862
2015-05-29 13:43:03skip.montanarosetmessages: + msg244376
2015-05-29 04:19:24berker.peksagsetnosy: + berker.peksag
stage: patch review

versions: + Python 3.5, Python 3.6
2015-05-28 21:53:14jbmilamsetfiles: + register_dialect_docstring_fix.patch

messages: + msg244349
2015-05-28 21:41:54jbmilamsetfiles: + register_dialect_docstring_fix.patch

nosy: + jbmilam
messages: + msg244348

keywords: + patch
2015-03-14 15:12:56Vladimir Ulupovsetmessages: + msg238088
2015-03-14 14:40:12r.david.murraysetmessages: + msg238086
2015-03-14 12:17:48Vladimir Ulupovsetmessages: + msg238081
2015-03-13 15:37:39skip.montanarosetnosy: + skip.montanaro
2015-03-13 15:33:12r.david.murraysetnosy: + r.david.murray
messages: + msg238036
2015-03-13 15:31:24Vladimir Ulupovcreate